# Ambari HttpFS service
Simple ambari extension for HttpFS hdfs service.

Supported OS: any

Tested Ambari Server 2.7.6.0


# Installation
Steps to Install Ambari HttpFS Mpack:
1. Download branch from code and zip with tar.gz extension
2. Upload gzipped file to ambari-server
3. Execute below command for installation
```
ambari-server install-mpack --mpack=ambari-mpacks-httpfs-2.7.1.tar.gz --verbose
ambari-server restart
```
4. Login to Ambari UI and go to Add Httpfs service
5. Select hosts for Httpfs Server components
6. Start all stopped or required services


# Uninstallation
Steps to Uninstall Ambari Httpfs Mpack:
1. Login to Ambari service and goto Httpfs section
2. Stop Httpfs service and delete permanently
3. Execute below command for uninstallation
```
ambari-server uninstall-mpack --mpack-name=httpfs-ambari-mpack
ambari-server restart
```

# Troubleshooting Steps for known issues

**Problem 1** : There is a current bug in User Group Management for Ambari 2.7 & ODP 3.x.

**workaround**
is the following python command before installing HttpFS
```python
/var/lib/ambari-server/resources/scripts/configs.py -u admin -p admin -n [CLUSTER_NAME] -l [CLUSTER_FQDN] -t 8080 -a set -c cluster-env -k  ignore_groupsusers_create -v true
```
**** be sure to get the correct [CLUSTER_NAME] and [CLUSTER_FQDN] for command above

### License:
Apache License version 2.0
